Main Page | Modules | Class List | File List | Class Members | File Members

# CxImage::tagCxImageInfo Struct Reference

List of all members.

## Public Attributes
bool | bAlphaPaletteEnabled
| true if alpha values in the palette are enabled.
bool | bEnabled
| enables the painting functions
DWORD | dwCodecOpt [CMAX_IMAGE_FORMATS]
| for GIF, TIF : 0=def.1=unc,2=fax3,3=fax4,4=pack,5=jpg
DWORD | dwEffWidth
| DWORD aligned scan line width.
DWORD | dwFlags
| 0x??00000 = reserved, 0x00??0000 = blend mode, 0x0000???? = layer id - user flags
DWORD | dwFrameDelay
| used for GIF, MNG
DWORD | dwType
| original image format
RGBQUAD | last_c
| for GetNearestIndex optimization
BYTE | last_c_index
bool | last_c_isvalid
BYTE | nAlphaMax
| max opacity (fade)
RGBQUAD | nBkgndColor
| used for RGB transparency
long | nBkgndIndex
| used for GIF, PNG, MNG
long | nEscape
| escape
long | nFrame
| used for TIF, GIF, MNG : actual frame
BYTE | nJpegScale
| used for JPEG [ignacio]
long | nNumFrames
| used for TIF, GIF, MNG : total number of frames
long | nNumLayers
long | nProgress
| monitor
BYTE | nQuality
| used for JPEG
CxImage * | pGhost
| if this is a ghost, pGhost points to the body
BYTE * | pImage
| THE IMAGE BITS.
CxImage * | pParent
| if this is a layer, pParent points to the body
RECT | rSelectionBox
| bounding rectangle
char | szLastError [256]
| debugging
long | xDPI
| horizontal resolution
long | xOffset
long | yDPI
| vertical resolution
long | yOffset

## Member Data Documentation

bool CxImage::tagCxImageInfo::bAlphaPaletteEnabled

| true if alpha values in the palette are enabled.

bool CxImage::tagCxImageInfo::bEnabled

| enables the painting functions

DWORD CxImage::tagCxImageInfo::dwCodecOpt[CMAX_IMAGE_FORMATS]

| for GIF, TIF : 0=def.1=unc,2=fax3,3=fax4,4=pack,5=jpg

DWORD CxImage::tagCxImageInfo::dwEffWidth

| DWORD aligned scan line width.

DWORD CxImage::tagCxImageInfo::dwFlags

| 0x??00000 = reserved, 0x00??0000 = blend mode, 0x0000???? = layer id - user flags

DWORD CxImage::tagCxImageInfo::dwFrameDelay

| used for GIF, MNG

DWORD CxImage::tagCxImageInfo::dwType

| original image format

RGBQUAD CxImage::tagCxImageInfo::last_c

| for GetNearestIndex optimization

BYTE CxImage::tagCxImageInfo::last_c_index

bool CxImage::tagCxImageInfo::last_c_isvalid

BYTE CxImage::tagCxImageInfo::nAlphaMax

| max opacity (fade)

RGBQUAD CxImage::tagCxImageInfo::nBkgndColor

| used for RGB transparency

long CxImage::tagCxImageInfo::nBkgndIndex

| used for GIF, PNG, MNG

long CxImage::tagCxImageInfo::nEscape

| escape

long CxImage::tagCxImageInfo::nFrame

| used for TIF, GIF, MNG : actual frame

BYTE CxImage::tagCxImageInfo::nJpegScale

| used for JPEG [ignacio]

long CxImage::tagCxImageInfo::nNumFrames

| used for TIF, GIF, MNG : total number of frames

long CxImage::tagCxImageInfo::nNumLayers

long CxImage::tagCxImageInfo::nProgress

| monitor

BYTE CxImage::tagCxImageInfo::nQuality

| used for JPEG

CxImage* CxImage::tagCxImageInfo::pGhost

| if this is a ghost, pGhost points to the body

BYTE* CxImage::tagCxImageInfo::pImage

| THE IMAGE BITS.

CxImage* CxImage::tagCxImageInfo::pParent

| if this is a layer, pParent points to the body

RECT CxImage::tagCxImageInfo::rSelectionBox

| bounding rectangle

char CxImage::tagCxImageInfo::szLastError[256]

| debugging

long CxImage::tagCxImageInfo::xDPI

| horizontal resolution

long CxImage::tagCxImageInfo::xOffset

long CxImage::tagCxImageInfo::yDPI

| vertical resolution

long CxImage::tagCxImageInfo::yOffset

The documentation for this struct was generated from the following file:

- ximage.h